DH_SETUP_COPYRIGHT(1)

NAME
dh_setup_copyright - extract source file names from DWARF debug information in ELF binaries via dwarf2sources

SYNOPSIS
dh_setup_copyright [debhelper options] [-Xitem] [--copyrightfile=file] [--blacklist=packages] [--buildsuffix=regex] [-- params]

DESCRIPTION
dh_setup_copyright is a debhelper program that generates the list for source file names used to build every binary and pulls the licenses from any sources part of other packages. The source file list is extracted from DWARF debug information by running dwarf2sources(1) on every ELF binaries in the package and saving the output to /usr/share/doc/<package>/<binary>_bin2sources_<arch>.json and /usr/share/doc/<package>/<binary>_metadata_<arch>.json.

/usr/share/doc/<package>/<binary>_bin2sources_<arch>.json lists all source files used to build a binary by extracting data from DWARF debug information.

/usr/share/doc/<package>/<binary>_metadata_<arch>.json lists all source files, licenses, copyrights as well as the other source packages used during build, as well as their versions.

OPTIONS

-Xitem, --exclude=item
    Exclude files that contain item anywhere in their filename from being extracted. You may use this option multiple times to build up a list of things to exclude.

--copyrightfile=file
    Path to the copyright file, usually debian/copyright.

--blacklist=packages
    List of binary packages to ignore. These packages won't be processed.

--buildsuffix=regex
    Build suffix to strip off of package versions.

NOTES
If the DEB_BUILD_OPTIONS environment variable contains nodwarf2sources, this procedure is skipped.

SEE ALSO
debhelper(7)

This program is a part of debhelper.

AUTHOR
Walter Lozano <walter.lozano@collabora.com>